
C  ****************************************************************************
C  *                                                                          *
C  *                  *****     SUBROUTINE PIRADDEG     *****                 *
C  *                                                                          *
C  *    ROUTINE TO COMPUTE PI, RADIAN AND DEGREE TO MAXIMUM SINGLE PRECISION  *
C  *      ACCURACY                                                            *
C  *                                                                          *
C  *    DECEMBER 1984  PURDUE UNIVERSITY VAX 11/750, T. BAKER                 *
C  ****************************************************************************
C
      SUBROUTINE PIRADDEG (PI, RADIAN, DEGREE)
C
      IMPLICIT NONE
C
      REAL*4 PI, RADIAN, DEGREE
C  ----------------------------------------------------------------------------
C
      PI     = 4.0*ATAN2(1.0,1.0)
      RADIAN = PI/180.0
      DEGREE = 1.0/RADIAN
C
      RETURN
      END
